eCos Reference Manual
Prev |  | Next

# fis load

## Name

fis load -- Load flash image

## Synopsis

fis load [-b `load address`] [-c ] [-d ] [`name`]

## Arguments

Name | Type | Description | Default
--- | --- | --- | ---
-b | Number | Address the image should be loaded to. Executable images normally load at the location to which the file was linked. This option allows the image to be loaded to a specific memory location, possibly overriding any assumed location. | If not specified, the address associated with the image in the FIS directory will be used.
-c |  | Compute and print the checksum of the image data after it has been loaded into memory. |
-d |  | Decompress gzipped image while copying it from flash to RAM. |
`name` | String | The name of the file, as shown in the FIS directory. |

## Description

This command is used to transfer an image from flash memory to RAM.

Once the image has been loaded, it may be executed using the go command.

## Examples

Load and run RedBoot[RAM] image.

    RedBoot> fis load RedBoot[RAM]
    RedBoot> go

Prev | Home | Next
fis create | Up | fis delete